# Functor BatBounded.MakeNumeric

    module MakeNumeric: functor (M : BoundedNumericType) -> NumericSig  with type base_u = M.base_t
      with type u = M.t
      with type t = private M.t

Parameters:

`M` | : | `BoundedNumericType`

    include BatBounded.S

    val (+) : t -> base_u -> t

    val (-) : t -> base_u -> t

    val ( * ) : t -> base_u -> t

    val (/) : t -> base_u -> t

    val (+:) : t -> t -> t

    val (-:) : t -> t -> t

    val ( *: ) : t -> t -> t

    val (/:) : t -> t -> t